<template>
  <div class="contract-print-form">
    <div class="section">
      <div class="header">
        <div class="header__left">
          <div class="logo">
            <template v-if="currentHostname === 'oboz'">
              <svg viewBox="0 0 94 28" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" clip-rule="evenodd" d="M64.5793 6.99223C59.5077 6.99223 55.1607 10.3613 53.9583 14.9372H48.4677C47.3474 10.3613 43.2912 6.99223 38.3996 6.99223C36.575 6.99223 35.0079 7.39539 33.7404 8.25254H33.2436V0H26.8361V17.4961C26.8361 23.2584 31.8093 28 37.7897 28C43.0011 28 47.2859 24.5756 48.4565 20.0099H53.9521C55.1452 24.5756 59.4977 28 64.5793 28C70.7123 28 75.564 23.2584 75.564 17.4961C75.564 11.6739 70.7123 6.99223 64.5793 6.99223Z" fill="black"/>
                <path fill-rule="evenodd" clip-rule="evenodd" d="M37.772 21.9674C35.3006 21.9674 33.2258 19.9269 33.2258 17.4961C33.2258 14.9748 35.3006 13.0242 37.772 13.0242C40.3347 13.0242 42.3483 14.9748 42.3483 17.4961C42.3483 19.9269 40.3347 21.9674 37.772 21.9674Z" fill="white"/>
                <path fill-rule="evenodd" clip-rule="evenodd" d="M64.5619 21.9674C62.091 21.9674 60.0165 19.9269 60.0165 17.4961C60.0165 14.9748 62.091 13.0242 64.5619 13.0242C67.125 13.0242 69.1386 14.9748 69.1386 17.4961C69.1386 19.9269 67.125 21.9674 64.5619 21.9674Z" fill="white"/>
                <path fill-rule="evenodd" clip-rule="evenodd" d="M64.6003 15.6748C63.5784 15.6748 62.7485 16.4902 62.7485 17.4961C62.7485 18.5015 63.5784 19.3169 64.6003 19.3169C65.6226 19.3169 66.452 18.5015 66.452 17.4961C66.452 16.4902 65.6226 15.6748 64.6003 15.6748Z" fill="black"/>
                <path fill-rule="evenodd" clip-rule="evenodd" d="M37.7948 15.6521C36.7721 15.6521 35.9434 16.4679 35.9434 17.4734C35.9434 18.4792 36.7721 19.2942 37.7948 19.2942C38.8179 19.2942 39.6461 18.4792 39.6461 17.4734C39.6461 16.4679 38.8179 15.6521 37.7948 15.6521Z" fill="black"/>
                <path fill-rule="evenodd" clip-rule="evenodd" d="M10.9533 28C16.1647 28 20.4486 24.5755 21.6189 20.0099H24.6064V14.9371H21.6131C20.4335 10.3612 16.155 6.99219 10.9533 6.99219C4.97324 6.99219 0 11.6739 0 17.4961C0 23.2583 4.97324 28 10.9533 28Z" fill="black"/>
                <path fill-rule="evenodd" clip-rule="evenodd" d="M6.40759 17.4961C6.40759 14.9748 8.48162 13.0242 10.9533 13.0242C13.5164 13.0242 15.5297 14.9748 15.5297 17.4961C15.5297 19.9269 13.5164 21.9674 10.9533 21.9674C8.48162 21.9674 6.40759 19.9269 6.40759 17.4961Z" fill="white"/>
                <path fill-rule="evenodd" clip-rule="evenodd" d="M10.9761 15.6521C9.95344 15.6521 9.12476 16.4679 9.12476 17.4734C9.12476 18.4792 9.95344 19.2942 10.9761 19.2942C11.9984 19.2942 12.8279 18.4792 12.8279 17.4734C12.8279 16.4679 11.9984 15.6521 10.9761 15.6521Z" fill="black"/>
                <path fill-rule="evenodd" clip-rule="evenodd" d="M91.8524 17.5846C93.5288 16.5188 94 14.8614 94 13.1576C94 9.93063 91.3233 7.46655 85.5274 7.46655H79.0022C78.4867 7.46655 78.0688 7.88442 78.0688 8.39989V12.4289C78.0688 12.9444 78.4867 13.3622 79.0022 13.3622H86.4982C87.793 13.3622 88.3516 13.8319 88.3516 14.8291C88.3516 15.1913 88.2769 15.4834 88.1208 15.7092H82.4388V19.7565H88.1208C88.2769 19.983 88.3516 20.2744 88.3516 20.6369C88.3516 21.6338 87.793 22.1035 86.4982 22.1035H78.488C77.9726 22.1035 77.5547 22.5213 77.5547 23.0368V27.0666C77.5547 27.582 77.9726 27.9999 78.488 27.9999H85.5274C91.3233 27.9999 94 25.5362 94 22.3085C94 20.6043 93.5288 18.9473 91.8524 17.8815V17.5846Z" fill="black"/>
              </svg>
            </template>
            <template v-if="currentHostname === 'gruzi'">
              <svg viewBox="0 0 970 299" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M169.925 79.8218L184.308 110.025H147.632C120.307 110.025 113.116 118.294 113.116 151.734C113.116 185.531 120.307 193.442 147.632 193.442H184.308L169.925 223.645C162.015 225.442 151.948 226.521 144.756 226.521C90.4628 226.521 77.1602 211.779 77.1602 151.734C77.1602 92.0472 90.4628 76.9459 144.756 76.9459C151.948 76.9459 162.015 78.0245 169.925 79.8218Z" fill="black"/>
                <path d="M0.573242 148.857C0.573242 37.0346 38.3266 -6.36137e-05 151.228 -6.36137e-05C264.129 -6.36137e-05 301.881 37.0346 301.881 148.857C301.881 208.544 291.096 247.016 263.769 269.668L242.196 244.499C261.971 225.801 270.241 195.24 270.241 148.857C270.241 58.9679 239.679 29.1253 151.228 29.1253C62.7759 29.1253 32.2146 58.9679 32.2146 148.857C32.2146 233.713 61.6986 268.949 133.249 268.949C173.16 268.949 184.307 260.32 184.307 222.925V79.8226H220.263V222.925C220.263 281.173 204.083 298.073 129.655 298.073C39.4052 298.073 0.573242 253.488 0.573242 148.857Z" fill="black"/>
                <path d="M460.078 56.0227C475.745 56.0227 499.619 57.7627 510.311 59.752L512.798 85.864H460.078C423.522 85.864 414.322 97.5493 414.322 145.545C414.322 193.541 423.522 205.228 460.078 205.228H487.929V146.791L520.258 143.805V205.228L517.773 231.339C505.586 233.328 477.983 235.069 460.078 235.069C401.638 235.069 381.994 212.688 381.994 145.545C381.994 78.404 401.638 56.0227 460.078 56.0227Z" fill="black"/>
                <path d="M550.113 232.583V108.244H581.199V135.6L593.881 108.244C600.844 106.75 608.056 105.755 614.273 105.755C624.468 105.755 634.169 106.75 641.131 108.244L643.616 135.6H581.199V232.583H550.113Z" fill="black"/>
                <path d="M664.764 108.244H695.846V170.412C695.846 199.508 701.566 206.472 722.952 206.472H754.533V108.244H785.618V232.583H754.533V206.968L742.348 232.583C735.632 234.073 726.93 235.069 720.466 235.069C674.958 235.069 664.764 216.917 664.764 170.412V108.244Z" fill="black"/>
                <path d="M871.678 140.571V135.6H811.995L809.261 108.244H913.705V136.84L847.557 200.256V205.228H917.434V232.583H805.527V203.987L871.678 140.571Z" fill="black"/>
                <path d="M968.421 232.583H937.336V108.244H968.421V232.583ZM953.005 56.0229C966.681 56.0229 969.666 60.9936 969.666 73.9243C969.666 86.859 966.681 91.8297 953.005 91.8297C939.326 91.8297 936.096 86.859 936.096 73.9243C936.096 60.9936 939.326 56.0229 953.005 56.0229Z" fill="black"/>
              </svg>
            </template>
          </div>
          <h2>Основные условия сделки</h2>
        </div>
        <div class="header__right">
          <div class="small-text">
            <span>Распечатан: {{ new Date() | date('DD.MM.YYYY, HH:mm') }}</span>
            <span>{{ companyName }}, {{ userShortName }}</span>
          </div>
        </div>
      </div>
      <div class="body">
        <div class="row">
          <div class="col-xs-6">
            <h3>№ договора</h3>
            <h2>
              {{ContractData.number}}
            </h2>
          </div>
          <div class="col-xs-6">
            <div class="small-text">
              Тип договора
            </div>
            <div class="mt-2">
              {{ ContractData.contractTypeTitle }}
            </div>
          </div>
        </div>
        <div class="row mt-12">
          <div class="col-xs-6">
            <h2>Заказчик</h2>
            <div class="mt-12">
              <div>  {{ContractData.clientTitle}}</div>
              <div class="mt-9 small-text">ИНН</div>
              <div class="mt-2">____________</div>
            </div>
            <div class="mt-12" v-if="ContractData.clientExternalNumber">
              <div class="small-text">Ссылочный № договора Заказчика</div>
              <div class="mt-2">{{ContractData.clientExternalNumber}}</div>
            </div>
            <div class="mt-12">
              <div class="small-text">Почтовый адрес</div>
              <div class="mt-2">{{ContractData.clientPostAddress}}</div>
            </div>
            <div class="mt-12">
              <div class="small-text">Юридический адрес</div>
              <div class="mt-2">{{ContractData.clientLegalAddress}}</div>
            </div>
          </div>
          <div class="col-xs-6">
            <h2>Исполнитель</h2>
            <div class="mt-12">
              <div>{{ ContractData.doerTitle }}</div>
              <div class="mt-9 small-text">ИНН</div>
              <div class="mt-2">____________</div>
            </div>
            <div class="mt-12" v-if="ContractData.doerExternalNumber">
              <div class="small-text">Ссылочный № договора Исполнителя</div>
              <div class="mt-2">{{ContractData.doerExternalNumber}}</div>
            </div>
            <div class="mt-12" v-if="ContractData.doerPostAddress">
              <div class="small-text">Почтовый адрес</div>
              <div class="mt-2">{{ContractData.doerPostAddress}}</div>
            </div>
            <div class="mt-12" v-if="ContractData.doerLegalAddress">
              <div class="small-text">Юридический адрес</div>
              <div class="mt-2">{{ContractData.doerLegalAddress}}</div>
            </div>
          </div>
        </div>
        <div class="row mt-12">
          <div class="col-xs-6">
            <h2>Банковские данные</h2>
            <div class="mt-12">
              <div class="small-text">Наименование банка</div>
              <div class="mt-2">________________________</div>
            </div>
            <div class="mt-12 row">
              <div class="col-xs-6">
                <div class="small-text">ОГРН</div>
                <div class="mt-2">
                  ____________
                </div>
              </div>
              <div class="col-xs-6">
                <div class="small-text">ИНН</div>
                <div class="mt-2">
                  ____________
                </div>
              </div>
            </div>
            <div class="mt-12 row">
              <div class="col-xs-6">
                <div class="small-text">КПП</div>
                <div class="mt-2">
                  ____________
                </div>
              </div>
              <div class="col-xs-6">
                <div class="small-text">ОКПО</div>
                <div class="mt-2">
                  ____________
                </div>
              </div>
            </div>
            <div class="mt-12">
              <div class="small-text">БИК</div>
              <div class="mt-2">
                ____________
              </div>
            </div>
            <div class="mt-12">
              <div class="small-text">Корр/c</div>
              <div class="mt-2">
                ____________
              </div>
            </div>
            <div class="mt-12">
              <div class="small-text">Р/c</div>
              <div class="mt-2">
                ____________
              </div>
            </div>
          </div>
          <div class="col-xs-6">
            <div class="mt-40">
              <div class="small-text">Наименование банка</div>
              <div class="mt-2">________________________</div>
            </div>
            <div class="mt-12 row">
              <div class="col-xs-6">
                <div class="small-text">ОГРН</div>
                <div class="mt-2">
                  ____________
                </div>
              </div>
              <div class="col-xs-6">
                <div class="small-text">ИНН</div>
                <div class="mt-2">
                  ____________
                </div>
              </div>
            </div>
            <div class="mt-12 row">
              <div class="col-xs-6">
                <div class="small-text">КПП</div>
                <div class="mt-2">
                  ____________
                </div>
              </div>
              <div class="col-xs-6">
                <div class="small-text">ОКПО</div>
                <div class="mt-2">
                  ____________
                </div>
              </div>
            </div>
            <div class="mt-12">
              <div class="small-text">БИК</div>
              <div class="mt-2">
                ____________
              </div>
            </div>
            <div class="mt-12">
              <div class="small-text">Корр/c</div>
              <div class="mt-2">
                ____________
              </div>
            </div>
            <div class="mt-12">
              <div class="small-text">Р/c</div>
              <div class="mt-2">
                ____________
              </div>
            </div>
          </div>
        </div>
        <div class="row mt-12">
          <div class="col-xs-6">
            <h2>Подписант и ответственный сотрудник</h2>
            <div class="mt-8">
              <div class="small-text">Подписант</div>
              <div class="mt-2">{{ContractData.clientSignerFio}}</div>
              <div class="small-text mt-2">{{ authoritySource[ContractData.clientAuthoritySource] && authoritySource[ContractData.clientAuthoritySource].shortLabel }}</div>
            </div>
          </div>
          <div class="col-xs-6">
            <div class="mt-29">
              <div class="small-text">Подписант</div>
              <div class="mt-2">{{ContractData.doerSignerFio}}</div>
              <div class="small-text mt-2">{{ authoritySource[ContractData.doerAuthoritySource] && authoritySource[ContractData.doerAuthoritySource].shortLabel }}</div>
            </div>
          </div>
        </div>
        <div class="row mt-12">
          <div class="col-xs-6">
            <div class="small-text">
              Ответственный сотрудник
            </div>
            <div class="mt-2">
              {{ ContractData.clientCurator }}
            </div>
          </div>
          <div class="col-xs-6">
            <div class="small-text">
              Ответственный сотрудник
            </div>
            <div class="mt-2">
              {{ ContractData.doerCurator }}
            </div>
          </div>
        </div>
        <div class="row mt-12">
          <div class="col-xs-6">
            <div>
              <h3>Отправлять уведомления Заказчику</h3>
              <div v-if="ContractData.needNotifyClientByMail">
                <div class="mt-12 small-text">Почтовый адрес</div>
                <div class="mt-2">{{ContractData.clientPostAddress}}</div>
              </div>
            </div>
            <div class="mt-8" v-if="ContractData.needNotifyClientByJurMail">
              <div class="small-text">Юридический адрес</div>
              <div class="mt-2">{{ContractData.clientLegalAddress}}</div>
            </div>
            <div class="mt-8" v-if="ContractData.needNotifyClientByEmail">
              <div class="small-text">Электронная почта</div>
              <div class="mt-2">{{ContractData.clientEmail}}</div>
            </div>
            <div class="mt-8" v-if="ContractData.needNotifyClientByPhone">
              <div class="small-text">СМС на номер телефона</div>
              <div class="mt-2">{{ContractData.clientPhone}}</div>
            </div>

          </div>
          <div class="col-xs-6">
            <div>
              <h3>Отправлять уведомления Исполнителю</h3>
              <div v-if="ContractData.needNotifyDoerByMail">
                <div class="mt-12 small-text">Почтовый адрес</div>
                <div class="mt-2">{{ContractData.doerPostAddress}}</div>
              </div>
            </div>
            <div class="mt-8" v-if="ContractData.needNotifyDoerByJurMail">
              <div class="small-text">Юридический адрес</div>
              <div class="mt-2">{{ContractData.doerLegalAddress}}</div>
            </div>
            <div class="mt-8" v-if="ContractData.needNotifyDoerByEmail">
              <div class="small-text">Электронная почта</div>
              <div class="mt-2">{{ContractData.doerEmail}}</div>
            </div>
            <div class="mt-8" v-if="ContractData.needNotifyDoerByPhone">
              <div class="small-text">СМС на номер телефона</div>
              <div class="mt-2">{{ContractData.doerPhone}}</div>
            </div>
          </div>
        </div>
        <div class="mt-12">
          Период действия
        </div>
        <div class="row mt-12">
          <div class="col-xs-3">
            <div class="small-text">Дата подписания</div>
            <div class="mt-2">{{ isSigned ? new Date(signedDate).toLocaleDateString() : 'Не подписан' }}</div>
          </div>
          <div class="col-xs-3">
            <div class="small-text">Дата начала действия</div>
            <div class="mt-2">{{ ContractData.fromDate | date }}</div>
          </div>
          <div class="col-xs-6">
            <div class="small-text">Дата окончания действия</div>
            <div class="mt-2">{{ ContractData.fromDate ? new Date(ContractData.fromDate).toLocaleDateString() : 'Бессрочно' }}</div>
          </div>
        </div>
        <div class="dashed"></div>
        <div class="row mt-20">
          <div class="col-xs-6 row">
            <div class="mp col-xs-6">м.п.</div>
            <div class="col-xs-6 grey small-text">/ _______ /</div>
          </div>
          <div class="col-xs-6 row">
            <div class="mp col-xs-6">м.п.</div>
            <div class="col-xs-6 grey small-text">/ _______ /</div>
          </div>
        </div>
        <div class="dashed mt-20"></div>
      </div>
    </div>
<!--    <div class="section">-->
<!--      <div class="header">-->
<!--        <div class="header__left">-->
<!--          <div class="logo">-->
<!--            <svg viewBox="0 0 970 299" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--              <path d="M169.925 79.8218L184.308 110.025H147.632C120.307 110.025 113.116 118.294 113.116 151.734C113.116 185.531 120.307 193.442 147.632 193.442H184.308L169.925 223.645C162.015 225.442 151.948 226.521 144.756 226.521C90.4628 226.521 77.1602 211.779 77.1602 151.734C77.1602 92.0472 90.4628 76.9459 144.756 76.9459C151.948 76.9459 162.015 78.0245 169.925 79.8218Z" fill="black"/>-->
<!--              <path d="M0.573242 148.857C0.573242 37.0346 38.3266 -6.36137e-05 151.228 -6.36137e-05C264.129 -6.36137e-05 301.881 37.0346 301.881 148.857C301.881 208.544 291.096 247.016 263.769 269.668L242.196 244.499C261.971 225.801 270.241 195.24 270.241 148.857C270.241 58.9679 239.679 29.1253 151.228 29.1253C62.7759 29.1253 32.2146 58.9679 32.2146 148.857C32.2146 233.713 61.6986 268.949 133.249 268.949C173.16 268.949 184.307 260.32 184.307 222.925V79.8226H220.263V222.925C220.263 281.173 204.083 298.073 129.655 298.073C39.4052 298.073 0.573242 253.488 0.573242 148.857Z" fill="black"/>-->
<!--              <path d="M460.078 56.0227C475.745 56.0227 499.619 57.7627 510.311 59.752L512.798 85.864H460.078C423.522 85.864 414.322 97.5493 414.322 145.545C414.322 193.541 423.522 205.228 460.078 205.228H487.929V146.791L520.258 143.805V205.228L517.773 231.339C505.586 233.328 477.983 235.069 460.078 235.069C401.638 235.069 381.994 212.688 381.994 145.545C381.994 78.404 401.638 56.0227 460.078 56.0227Z" fill="black"/>-->
<!--              <path d="M550.113 232.583V108.244H581.199V135.6L593.881 108.244C600.844 106.75 608.056 105.755 614.273 105.755C624.468 105.755 634.169 106.75 641.131 108.244L643.616 135.6H581.199V232.583H550.113Z" fill="black"/>-->
<!--              <path d="M664.764 108.244H695.846V170.412C695.846 199.508 701.566 206.472 722.952 206.472H754.533V108.244H785.618V232.583H754.533V206.968L742.348 232.583C735.632 234.073 726.93 235.069 720.466 235.069C674.958 235.069 664.764 216.917 664.764 170.412V108.244Z" fill="black"/>-->
<!--              <path d="M871.678 140.571V135.6H811.995L809.261 108.244H913.705V136.84L847.557 200.256V205.228H917.434V232.583H805.527V203.987L871.678 140.571Z" fill="black"/>-->
<!--              <path d="M968.421 232.583H937.336V108.244H968.421V232.583ZM953.005 56.0229C966.681 56.0229 969.666 60.9936 969.666 73.9243C969.666 86.859 966.681 91.8297 953.005 91.8297C939.326 91.8297 936.096 86.859 936.096 73.9243C936.096 60.9936 939.326 56.0229 953.005 56.0229Z" fill="black"/>-->
<!--            </svg>-->
<!--          </div>-->
<!--          <h2>Тарификация</h2>-->
<!--        </div>-->
<!--        <div class="header__right">-->
<!--          <div class="small-text">-->
<!--            <span>Распечатан: {{ new Date() | date('DD.MM.YYYY, HH:mm') }}</span>-->
<!--            <span>{{ companyName }}, {{ userShortName }}</span>-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->
<!--      <div class="body">-->
<!--        <h3>Перевозка крупнотоннажным автотранспортом</h3>-->
<!--        <h2 class="mt-12">Изотерм 10 т / 43 м3 / 10 пал</h2>-->
<!--        <table class="table-wrapper mt-12">-->
<!--          <tr class="t-head">-->
<!--            <th v-for="(item, index) in thead" :key="index">-->
<!--              {{ item }}-->
<!--            </th>-->
<!--          </tr>-->
<!--          <tr v-for="(tr, index) in tbody" :key="index">-->
<!--            <td v-for="(td, i) in tr" :key="i">-->
<!--              {{ td }}-->
<!--            </td>-->
<!--          </tr>-->
<!--        </table>-->
<!--      </div>-->
<!--    </div>-->
  </div>
</template>

<script>
  import { mapGetters } from 'vuex'

  export default {
    name: 'ContractPrintForm',
    data() {
      return {
        authoritySource: {
          CHARTER: {
            label: 'Действует на основании Устава и приказа о Назначении (прикрепите скан)',
            shortLabel: 'Действует на основании Устава и приказа о Назначении',
            value: 'CHARTER'
          },
          PROCURATORY: {
            label: 'Действует по доверенности (прикрепите скан)',
            shortLabel: 'Действует по доверенности',
            value: 'PROCURATORY'
          }
        },
        thead: [
          'Погрузка',
          'Разгрузка',
          'Тариф в один \n конец, ₽',
          'В т.ч. \n НДС 20%',
          'Допробег, \n ₽ / км',
          'Допточка, \n ₽',
          'Тариф \n кругорейса, ₽',
          'Мощность, \n единиц ТС',
          'Транзитный \n норматив, ч',
          'Действует \n с',
          'Действует \n по'
        ],
        tbody :[
          [
            'Дмитров',
            'Астрахань',
            '65 000',
            '13 000',
            '40',
            '2 500',
            '50 000',
            '10 в неделю',
            '30',
            '10.03.2020',
            '10.03.2021'
          ],
          [
            'Дмитров',
            'Астрахань',
            '65 000',
            '13 000',
            '40',
            '2 500',
            '50 000',
            '10 в неделю',
            '30',
            '10.03.2020',
            '10.03.2021'
          ],
          [
            'Дмитров',
            'Астрахань',
            '65 000',
            '13 000',
            '40',
            '2 500',
            '50 000',
            '10 в неделю',
            '30',
            '10.03.2020',
            '10.03.2021'
          ],
          [
            'Дмитров',
            'Астрахань',
            '65 000',
            '13 000',
            '40',
            '2 500',
            '50 000',
            '10 в неделю',
            '30',
            '10.03.2020',
            '10.03.2021'
          ],
          [
            'Дмитров',
            'Астрахань',
            '65 000',
            '13 000',
            '40',
            '2 500',
            '50 000',
            '10 в неделю',
            '30',
            '10.03.2020',
            '10.03.2021'
          ]
        ]
      }
    },
    props: {
      ContractData: {
        type: Object,
        default: () => {}
      }
    },
    computed: {
      ...mapGetters({
        isSigned: 'contract/isSigned',
        signedDate: 'contract/signedDate',
        companyName: 'user/companyName',
        userShortName: 'user/shortFullName'
      }),
      currentHostname () {
        return window.location.host.split('gruzi').length > 1 ? 'gruzi': 'oboz'
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";
  @import "~common-components/src/static/css/variables";
  h2{
    @include font-mixin(14px, 22px, 600, $color-text-base, 0.4px);
  }
  h3{
    @include font-mixin(12px, 16px, 600, $color-text-base, 0.4px);
  }
  .small-text{
    @include font-mixin(10px, 10px, 400, $color-text-base, 0.4px);
  }
  .section{
    @media print {
      page-break-before: always;
    }
  }
  .mt-2{
    margin-top: 2px;
  }
  .mt-8{
    margin-top: 8px;
  }
  .mt-9{
    margin-top: 9px;
  }
  .mt-12{
    margin-top: 12px;
  }
  .mt-20{
    margin-top: 26px;
  }
  .mt-29{
    margin-top: 29px;
  }
  .mt-40{
    margin-top: 40px;
  }
  .grey{
    color: $gray-slate;
  }
  .mp{
    border-top: 1px solid rgba(0, 0, 0, 0.3);
    text-align: center;
    margin-top: 10px;
  }
  .dashed{
    margin-top: 30px;
    width: 100%;
    border-bottom: 1px dashed rgba(0, 0, 0, 0.3);
    &.mt-20{
      margin-top: 20px;
    }
  }
  .contract-print-form {
    display: block;
    position: relative;
    margin-top: -110px;
    z-index: 99999;
    left: 0;
    width: 100%;
    height: 100%;
    font-size: 14px;
    background-color: #fff;
    .header{
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding-bottom: 10px;
      border-bottom: 1px dashed rgba(0, 0, 0, 0.3);
      &__left{
        display: flex;
        align-items: center;
        .logo {
          width: 150px;
          svg {
            max-width: 100%;
            width: 150px;
          }
        }
        h2 {
          margin-left: 20px;
        }
      }
      &__right{
        margin-top: 10px;
        text-align: right;
        white-space: nowrap;
        .small-text {
          display: flex;
          flex-wrap: wrap;
          justify-content: flex-end;
          line-height: 16px;
        }
        span:first-child {
          margin-right: 3px;
        }
      }
    }
    .body{
      margin-top: 15px;
    }
  }
  th{
    padding: 0 3px;
  }
  td{
    padding: 6px 3px;
    margin-left: -1px;
    &:nth-child(3){@include font-mixin(9px, 13px, 600, $color-text-base, 0.4px);}
    &:nth-child(3), &:nth-child(4), &:nth-child(5), &:nth-child(6), &:nth-child(7), &:nth-child(9){text-align: right}
    &:nth-child(8), &:nth-child(10), &:nth-child(11){text-align: center}
  }
  th, td{
    height: 30px;
    border-right: 1px solid #828282;
    border-bottom: 1px solid #828282;
    &:last-child{
      border-right: none;
    }
  }
  tr{
    &:first-child{
      background: #E5E5E5;
      th{
        &:first-child{
          border-top-left-radius: 4px;
        }
      }
    }
    &:last-child{
      td{
        border-bottom: none;
      }
    }
  }
  .table-wrapper{
    width: 100%;
    border: 1px solid #828282;
    border-spacing: 0;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
    @include font-mixin(9px, 13px, 400, $color-text-base, 0.4px);
    th{
      text-align: center;
      white-space: pre-line;
      @include font-mixin(9px, 13px, 600, $color-text-base, 0.4px);
    }
  }
</style>
